Name: xfce4-fsguard-plugin
Version: 1.0.0
Release: alt3

Summary: Plugin checks the chosen mountpoint for free disk space
License: %bsdstyle
Group: Graphical desktop/XFce
Packager: XFCE Team <xfce@packages.altlinux.org>

Url: http://goodies.xfce.org/projects/panel-plugins/%name
Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-devel libxfcegui4-devel libxfce4util-devel
BuildRequires: libSM-devel perl-XML-Parser xorg-cf-files intltool

Requires: xfce4-panel >= 4.8

%description
A little Xfce plugin, which checks the free space on the chosen
mountpoint frequently. It displays 4 different icons and a message box,
depending on the free space. The amount of free disk space is visible in
a tooltip. If you left-click on its icon, it opens the mountpoint
directory in the file manager.

%prep
%setup

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|^desktopdir = \$(datadir)/xfce4/panel-plugins|desktopdir = \$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
    --enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/*/*

%changelog
* Mon Apr 16 2012 Mikhail Efremov <sem@altlinux.org> 1.0.0-alt3
- Rebuild against libxfce4util.so.6 (libxfce4util-4.9).

* Wed Jan 11 2012 Mikhail Efremov <sem@altlinux.org> 1.0.0-alt2
- Rebuild with xfce4-panel-4.9.

* Sat Feb 05 2011 Mikhail Efremov <sem@altlinux.org> 1.0.0-alt1
- Fix desktop file path.
- Spec updated, tar.bz2 -> tar.
- Drop watch file.
- Updated to 1.0.0.

* Mon Dec 29 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.2-alt1
- new version

* Wed May 14 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.1-alt1
- new version

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version
- return from orphaned
- add watch file

* Fri Oct 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.0-alt1
- First build for Sisyphus.

